Subject: bug#40093: 27.0.60; Wrong entry page for exported html Elisp manual

From: Yuan Fu <[email-masked]>
Date: Mon, 16 Mar 2020 15:25:10 -0400

Ah, that’s right. My filesystem is case-insensitive. I don’t see a good solution on top of my head.

Yuan

> On Mar 16, 2020, at 3:19 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Mon, 16 Mar 2020 13:22:50 -0400
>> 
>> If I go to
>> 	doc/lispref
>> And run
>> 	make -e HTML_OPTS=--html elisp.html
>> To generate the HTML manual, the index page is wrong. According to the makeinfo manual the index.html should be the table of contents page. But the exported index.html is the index.
>> 
>> The index page for doc/emacs is fine. I guess that’s because Emacs manual has variable index / function index (instead of a single index) so the entry page index.html is not overwritten by the index page (which has the same file name).
> 
> Is the filesystem on which you run this case-insensitive?